<?php

namespace App\View\Composers;

use App\Models\AiTool;
use Illuminate\View\View;
use Illuminate\Support\Facades\Cache;


class StatsComposer
{
    public function compose(View $view)
    {
        // Retrieve the count from the cache or count and store it if not present
        $tools_count = Cache::remember('tools_count', 10800, function () {
            return AiTool::count();
        });

        $view->with('tools_count', $tools_count);

    }
}
